Package: org.codehaus.groovy.grails.validation

## [Java] Class ConstraintsEvaluatorFactoryBean

- org.codehaus.groovy.grails.validation.ConstraintsEvaluatorFactoryBean

- All Implemented Interfaces and Traits:
    org.springframework.beans.factory.FactoryBean, org.springframework.beans.factory.InitializingBean

      public class ConstraintsEvaluatorFactoryBean
      extends java.lang.Object

  Constructs the default constraints evaluator instance.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `afterPropertiesSet()`
    `ConstraintsEvaluator` | `getObject()`
    `java.lang.Class<?>` | `getObjectType()`
    `boolean` | `isSingleton()`
    `void` | `setConstraintsEvaluatorClass(java.lang.Class<?> constraintsEvaluatorClass)`
    `void` | `setDefaultConstraints(java.util.Map defaultConstraints)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### public void afterPropertiesSet()

    - #### public ConstraintsEvaluator getObject()

    - #### public java.lang.Class<?> getObjectType()

    - #### public boolean isSingleton()

    - #### public void setConstraintsEvaluatorClass(java.lang.Class<?> constraintsEvaluatorClass)

    - #### public void setDefaultConstraints(@java.lang.SuppressWarnings("rawtypes") java.util.Map defaultConstraints)